using System;

internal sealed class Delegate161 : MulticastDelegate
{
	public extern int Invoke(object object_0);

	public static int smethod_0(object object_0, Delegate161 delegate161_1)
	{
		return delegate161_1(object_0);
	}

	public extern Delegate161(object object_0, IntPtr intptr_0);

	static Delegate161()
	{
		Class10.smethod_13(typeof(Delegate161).TypeHandle);
	}

	internal static Delegate161 delegate161_0;
}
